diff options
author | Masahiro Yamada <yamada.masahiro@socionext.com> | 2018-05-22 03:22:20 -0400 |
---|---|---|
committer | Masahiro Yamada <yamada.masahiro@socionext.com> | 2018-05-28 05:25:21 -0400 |
commit | b464ef583dc71bb066ea83bda43317196f94da9c (patch) | |
tree | 36d52807e15d8232ea567f1b0404bf916879d8ef /scripts/kconfig/gconf-cfg.sh | |
parent | 0b669a5076fd8c4b0dc6f21e41f93b1102c52925 (diff) |
kconfig: refactor GTK+ package checks for building gconf
Refactor the package checks for gconf in the same way as for qconf.
Signed-off-by: Masahiro Yamada <yamada.masahiro@socionext.com>
Tested-by: Randy Dunlap <rdunlap@infradead.org>
Acked-by: Randy Dunlap <rdunlap@infradead.org>
Reviewed-by: Sam Ravnborg <sam@ravnborg.org>
Diffstat (limited to 'scripts/kconfig/gconf-cfg.sh')
-rwxr-xr-x | scripts/kconfig/gconf-cfg.sh | 23 |
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/kconfig/gconf-cfg.sh b/scripts/kconfig/gconf-cfg.sh new file mode 100755 index 000000000000..533b3d8f8f08 --- /dev/null +++ b/scripts/kconfig/gconf-cfg.sh | |||
@@ -0,0 +1,23 @@ | |||
1 | #!/bin/sh | ||
2 | # SPDX-License-Identifier: GPL-2.0 | ||
3 | |||
4 | PKG="gtk+-2.0 gmodule-2.0 libglade-2.0" | ||
5 | |||
6 | if ! pkg-config --exists $PKG; then | ||
7 | echo >&2 "*" | ||
8 | echo >&2 "* Unable to find the GTK+ installation. Please make sure that" | ||
9 | echo >&2 "* the GTK+ 2.0 development package is correctly installed." | ||
10 | echo >&2 "* You need $PKG" | ||
11 | echo >&2 "*" | ||
12 | exit 1 | ||
13 | fi | ||
14 | |||
15 | if ! pkg-config --atleast-version=2.0.0 gtk+-2.0; then | ||
16 | echo >&2 "*" | ||
17 | echo >&2 "* GTK+ is present but version >= 2.0.0 is required." | ||
18 | echo >&2 "*" | ||
19 | exit 1 | ||
20 | fi | ||
21 | |||
22 | echo cflags=\"$(pkg-config --cflags $PKG)\" | ||
23 | echo libs=\"$(pkg-config --libs $PKG)\" | ||